Bug 46914 - rpmbuild 4.0.3-0.55 fails to build this package
Summary: rpmbuild 4.0.3-0.55 fails to build this package
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-build   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL: http://people.mandrakesoft.com/~flepi...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-02 07:11 UTC by Frederic Lepied
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-03 13:26:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frederic Lepied 2001-07-02 07:11:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-4mdk i686; Nav)

Description of problem:
rpm (4.0.3-0.55) fails at the end of the build when creating the archive
with the following error:

error: create archive failed on file
/home/flepied/tmp/rpm/htdig-buildroot/usr/share/htdig/htdig.png: cpio:
readlink failed - Bad file descriptor


RPM build errors:
    create archive failed on file
/home/flepied/tmp/rpm/htdig-buildroot/usr/share/htdig/htdig.png: cpio:
readlink failed - Bad file descriptor

Process rpm exited abnormally with code 1


How reproducible:
Always

Steps to Reproduce:
1.rpm --rebuild  
2.
3.
	

Additional info:

Comment 1 Jeff Johnson 2001-07-03 13:26:49 UTC
Here's what rpm-4.0.2 has to say about the build

	RPM build errors:
	    File listed twice: /usr/bin/rundig

Yes, rpm-4.0.3 permits files to be mentioned mor than once, and there's a
problem
there, as one patch has zigged while another has zagged.


Comment 2 Jeff Johnson 2001-07-08 19:32:14 UTC
This is fixed in rpm-4.0.3-0.57 (at least).


Note You need to log in before you can comment on or make changes to this bug.